<?php
defined('BASEPATH') OR exit('No direct script access allowed');
header('Access-Control-Allow-Origin: *'); 

class Client extends CI_Controller {
    public function __construct() 
    {
        parent::__construct();
        
    }
    public function account(){
        $post_data = json_decode(file_get_contents('php://input'), true);
        
        $search= $post_data['searchKey'];
        $this->db->select('*');
        $this->db->where('LongName like "'.$search.'%"');
        $this->db->order_by('AccountID asc');
        $data = $this->db->get('ptsl_accountinfo')->result_array();
        
        if($data){
             $response = array(
                'status' => TRUE,
                'clients' => $data
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
    public function accounts(){
      
        $this->db->select('*');
  
        $data = $this->db->get('ptsl_accountinfo')->result_array();
        
        if($data){
             $response = array(
                'status' => TRUE,
                'clients' => $data
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
    public function account_details($id){
      
        $this->db->select('acc_info.AccountID ,acc_info.LongName,acc_info.ShortName,acc_info.Address,acc_info.state, acc_info.City,acc_info.BestTimeToVisit,acc_info.SpokeWith,
        acc_info.Zipcode,acc_info.BuyerName,acc_status.AccountStatusName,acc_channel.ChannelName, dis_manager.Dist_managerName,dis_manager.Dist_Manager_Phone,dis_manager.Dist_Manager_Email,dis_rep.Dist_rep_name,dis_rep.Dist_rep_Phone as Phone, dis_rep.Dist_rep_Email as Email');
  	$this->db->where('AccountID',$id);
  	$this->db->from('ptsl_accountinfo as acc_info');
  	$this->db->join('ptsl_accountstatus as acc_status','acc_info.ptsl_accountstatus_AccountStatusID=acc_status.AccountStatusID','');
  	//$this->db->join('ptsl_accounttype as acc_type','acc_info.ptsl_accounttype_AccountTypeID=acc_type.AccountTypeID','');
  	$this->db->join('ptsl_accountchannel as acc_channel','acc_info.ptsl_accountchannel_accountChannelID=acc_channel.AccountChannelID','');
  	$this->db->join('ptsl_distributormanager as dis_manager','acc_info.ptsl_DistributorManager_Dist_ManagerID= dis_manager.Dist_ManagerID','');
  	$this->db->join('ptsl_distributorrep as dis_rep','acc_info.Ptsl_DistributorRep_Dis_rep_id=dis_rep.Dis_rep_id','');
        $data = $this->db->get()->row();
        $this->db->select('*');
        $this->db->from('ptsl_account_activity');
        $this->db->where('AccountID',$id);
        $this->db->order_by('ActivityID','DESC');
        $this->db->limit(1);

        $data1 = $this->db->get()->row();
        $address = $data->Address.','.$data->state.','.$data->City.','.$data->Zipcode;
        $newaddress = trim($address,',');
        //$data2['address'] = $newaddress;

        //recent sold items
        $this->db->select('InternalAccountID');
        $internal_id_arr  = $this->db->get_where('ptsl_accountinfo',array('AccountID'=>$id))->result_array();
        $internal_id = $internal_id_arr[0]['InternalAccountID'];
        $this->db->select('tran.ConvertedDate,tran.units,brand.brand_name,pack.packaging_name');
        $this->db->from('ptsl_sales_transactions tran');
        $this->db->join('ptsl_item_packaging pack','pack.packaging_id = tran.packaging','left');
         $this->db->join('ptsl_item_brand brand','brand.brand_id = tran.brand','left');
        $this->db->where('raw_account_id',$internal_id);
        $this->db->order_by('order_id','DESC');
        $this->db->limit(1);
        $recent_sold_item = $this->db->get()->result_array(); 
        //echo $this->db->last_query();
        if($recent_sold_item){
            $item = $recent_sold_item[0]['ConvertedDate']." ".$recent_sold_item[0]['packaging_name']." ".$recent_sold_item[0]['brand_name'];
        }
        else{
            $item="";
        }
        if($data){
             $response = array(
                'status' => TRUE,
                'client' => $data,
                'recent_activity' =>$data1,
                'address' =>$newaddress,
                'recent_sold_item' => $item
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
    public function updateAccount(){
       $post_data = json_decode(file_get_contents('php://input'), true);
       //print_r($post_data); exit;
       $buyer = @$post_data['buyer'];
       $spokewith = @$post_data['spokewith'];
       $besttime = @$post_data['besttime'];
       $account_id = @$post_data['account_id'];
       $hasbuyer = @$post_data['hasbuyer'];
       $hasSpokewith = @$post_data['hasspokewith'];
       $hasbesttime = @$post_data['hasbesttime'];
      /* $data = array(
            'BuyerName' => $buyer,
            'SpokeWith' => $spokewith,
            'BestTimeToVisit' => $besttime
        );*/
        $data = array();
        if($hasSpokewith){
            $data['SpokeWith'] = $spokewith;
        }
       if($hasbuyer){
            $data['BuyerName'] = $buyer;
        }
       if($hasbesttime){
            $data['BestTimeToVisit'] = $besttime;
        }   
       $this->db->where('AccountID',$account_id);
       $res = $this->db->update('ptsl_accountinfo',$data);
       if($res){
             $response = array(
                'status' => TRUE,
                'message' => 'Data Updated Successfully'
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        } 
    }
    
    public function get_account_type(){
    	$this->db->select('*');
    	$data = $this->db->get('ptsl_accounttype')->result_array();
    	//echo json_encode($data);
    	if($data){
             $response = array(
                'status' => TRUE,
                'account_type' => $data
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
     public function get_activity_type(){
    	$this->db->select('*');
    	$data = $this->db->get('ptsl_activitytype')->result_array();
    	
    	//echo json_encode($data);
    	if($data){
             $response = array(
                'status' => TRUE,
                'acitivity_type' => $data
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
     public function get_activity($client_id){
        $this->db->select('LEFT(acc.spokewith,7) as spokewith,acc.ActivityDate,acc.Notes,acc.BestTimeToVisit, 		
 LEFT(subevent.SubTypeName,7) as SubTypeName,accinfo.LongName,acc.isEvent,acc.ActivityID');
        $this->db->from('ptsl_account_activity as acc');
        $this->db->join('ptsl_accountinfo as accinfo','acc.AccountID=accinfo.AccountID');
     //   $this->db->join('ptsl_activitytype as event','acc.ActivityTypeID=event.ActivityTypeID','');
        $this->db->join('ptsl_activitysubtype as subevent','acc.ptsl_activitySubtype_ActivitySubtypeID=subevent.ActivitySubtypeID','');
        $this->db->where('acc.AccountID',$client_id);
        $this->db->order_by('acc.ActivityID','desc');
        $this->db->limit(5);
    	$data = $this->db->get()->result_array();
    	$this->db->select('count(ActivityID) as total_activity');
        $total_activity_arr = $this->db->get_where('ptsl_account_activity',array('AccountID'=>$client_id))->result_array();
        $total_activity = 0;
        if($total_activity_arr){
            $total_activity = $total_activity_arr[0]['total_activity'];
        }
    	if($data){
             $response = array(
                'status' => TRUE,
                'activites' => $data,
                'total_activity'=> $total_activity
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
    public function get_sale($id){
        $this->db->select('InternalAccountID');
        $internal_id_arr  = $this->db->get_where('ptsl_accountinfo',array('AccountID'=>$id))->result_array();
        $internal_id = $internal_id_arr[0]['InternalAccountID'];

        $this->db->select('tran.ConvertedDate,tran.units,Concat(brand.brand_name," ",pack.packaging_name) as brand');
        $this->db->from('ptsl_sales_transactions tran');
        $this->db->join('ptsl_item_packaging pack','pack.packaging_id = tran.packaging','left');
        $this->db->join('ptsl_item_brand brand','brand.brand_id = tran.brand','left');
        $this->db->where('raw_account_id',$internal_id);
        $this->db->order_by('order_id','DESC');
        $data = $this->db->get()->result_array(); 
        //echo $this->db->last_query();
        
        if($data){
             $response = array(
                'status' => TRUE,
                'sales' => $data
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }

    }
     public function get_activity_subtype(){
    	$this->db->select('ActivitySubtypeID as id, SubTypeName as name');
        $this->db->where('Ptsl_ActivityType_ActivityTypeID',1);
    	$data = $this->db->get('ptsl_activitysubtype')->result_array();
    	//echo $this->db->last_query();
    	//echo json_encode($data);
    	if($data){
             $response = array(
                'status' => TRUE,
                'event_subtypes' => $data
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
     public function get_participants(){
    	$this->db->select('ClientRepID as id,ClientRepName as name');
    	$data = $this->db->get('ptsl_clientrep')->result_array();
    	//echo json_encode($data);
    	if($data){
             $response = array(
               // 'status' => TRUE,
                'users' => $data
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
    public function accountinfoForNewActivity($id){
        $data = $this->db->get_where('ptsl_accountinfo',array('AccountID'=>$id))->result_array();
        if($data){
             $response = array(
                'status' => TRUE,
                'info' => $data[0]
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
    public function addactivity(){
    	$post_data = json_decode(file_get_contents('php://input'), true);
    	
    	
    	//$post_data = json_decode(file_get_contents('php://input'), true);
        //echo json_encode($post_data);
    	//$ActivityTypeID = @$post_data['activity_typeid'];
    	$Buyer = @$post_data['buyer'];
    	$spokewith = @$post_data['spokewith'];
    	$InternalNotes = @$post_data['internal_note'];
    	$notes = @$post_data['note'];
    	$BrandExposure = @$post_data['brand'];
    	$DecisionMaker = @$post_data['decession'];
    	$BestTimeToVisit = @$post_data['best'];
    	$CreatedBy = @$post_data['user_id'];
    	$Client_Rep_ID = @$post_data['user_id'];
    	$CreatedDate = date('Y-m-d');
    	//$ActivityImage = @$post_data['image'];
    	
    	$ptsl_accountinfo_AccountID = @$post_data['account_id'];
    	//multiple accout rep id 
    	$participants = @$post_data['participants'];
        $ptsl_activitySubtype_ActivitySubtypeID = 1;
        $ptsl_activitySubtype_ActivitySubtypeID = @$post_data['subtype'];
    	/*if(!$ActivityTypeID){
    		$response = array(
    			'status' => FALSE,
    			'message'=> "Activity Type is required"
    		);
    		echo json_encode($response);
    		return;
    	}*/
    	if(!$ptsl_activitySubtype_ActivitySubtypeID){
    		$ptsl_activitySubtype_ActivitySubtypeID = 2;
    		//return FALSE;
    	}else{
    	
        	$ActivityDate = date('Y-m-d');
        	$data = array(
        		//'ActivityTypeID' => $ActivityTypeID,
        		'Buyer'          => $Buyer,
        		'spokewith'      => $spokewith,
        		'InternalNotes'  => $InternalNotes,
        		'Notes'          => $notes,
        		'BestTimeToVisit'=> $BestTimeToVisit,
        		'BrandExposure'  => $BrandExposure,
        		'DecisionMaker'  => $DecisionMaker,
        		'CreatedBy'      => $CreatedBy,
        		'CreatedDate'    => $CreatedDate,
        		'ActivityDate'	 => $ActivityDate,	
        		'Client_Rep_ID'  => $Client_Rep_ID,		
        		//'ActivityImage'  => $ActivityImage,
        		'ptsl_activitySubtype_ActivitySubtypeID'=> $ptsl_activitySubtype_ActivitySubtypeID,
        		'AccountID' => $ptsl_accountinfo_AccountID
        	);
        	$add_activity = $this->db->insert('ptsl_account_activity',$data);
        	$acitivity_id = $this->db->insert_id();
            //update into accouninfo table 
            $data = array(
                'BuyerName' => $Buyer,
                'SpokeWith' => $spokewith,
                'BestTimeToVisit' => $BestTimeToVisit
            );
           $this->db->where('AccountID',$ptsl_accountinfo_AccountID);
           $res = $this->db->update('ptsl_accountinfo',$data);
        	//participants
        	if($participants){
            foreach($participants as $participant){
                if(@$participant['selected'] == 1){
                    $data2= array(
                        'ActivityID' => $acitivity_id,
                        'ParticipantID' => $participant['id']
                    );
                    $res = $this->db->insert('ptsl_activity_participants',$data2);
                }

            }
        }
            if(@$post_data['photos']){    
                $images = $post_data['photos'];
                foreach ($images as $key => $image) {
                    $loc="../accountapi_dev/temp/img".date('YmdHis');
                    $imgData1 = $image;
                    $imgData1 = substr($imgData1, 1+strrpos($imgData1, ','));
                    $sourceFilename = 'http://periscopedemo.com/accountapi_dev/temp/imgMyFile.jpg';
                    file_put_contents($loc.'MyFile.jpg', base64_decode($imgData1));
                    $image_file=$loc.'MyFile.jpg';
                    $target_file = $image_file;
                    $thumbnail = "../accountapi_dev/thumb/".date('YmdHis')."file.jpg";
                    $wthumb = 100;
                    $hthumb = 100;
                    $fileExt="jpg";
                    $this->ak_img_thumb($target_file, $thumbnail, $wthumb, $hthumb, $fileExt);
                    $encoded_thumb = base64_encode(file_get_contents($thumbnail));
                    $jpg_encoded_thumb = "data:image/jpeg;base64,".$encoded_thumb; 
                    $data_img = array(
                            'ActivityID' => $acitivity_id,
                            'Photo' => $image,
                            'thumbnail' => $jpg_encoded_thumb
                        );
                    $res = $this->db->insert('ptsl_activity_photos',$data_img); 
                }
            }
        	if($add_activity){
        		$response = array(
        			'status' => TRUE,
                    'activity_id' => $acitivity_id,
        			'message'=> "Visit Inserted Successfully"
        		);
        		echo json_encode($response);
        	}
        	else{
        		$response = array(
        			'status' => FALSE,
        			'message'=> "Internal Error"
        		);
        		echo json_encode($response);	
        	}
        }
    }
    public function updateactivity(){
        $post_data = json_decode(file_get_contents('php://input'), true);
        
        
        //$post_data = json_decode(file_get_contents('php://input'), true);
        //echo json_encode($post_data);
        //$ActivityTypeID = @$post_data['activity_typeid'];
        $Buyer = @$post_data['buyer'];
        $spokewith = trim(@$post_data['spokewith']);
        $InternalNotes = @$post_data['internal_note'];
        $notes = @$post_data['note'];
        $BrandExposure = @$post_data['brand'];
        $DecisionMaker = @$post_data['decession'];
        $BestTimeToVisit = @$post_data['best'];
        $CreatedBy = @$post_data['user_id'];
        $Client_Rep_ID = @$post_data['user_id'];
        $CreatedDate = date('Y-m-d');
        //$ActivityImage = @$post_data['image'];
        $ptsl_activitySubtype_ActivitySubtypeID = @$post_data['subtype'];
        $activity_id = @$post_data['activity_id'];
        //multiple accout rep id 
       $participants = @$post_data['participants'];
      
        
            $ActivityDate = date('Y-m-d');
            $data = array(
                //'ActivityTypeID' => $ActivityTypeID,
                
                'CreatedBy'      => $CreatedBy,
                'CreatedDate'    => $CreatedDate,
                'ActivityDate'   => $ActivityDate,  
                        
            );
            if(@$ptsl_activitySubtype_ActivitySubtypeID){
                $data['ptsl_activitySubtype_ActivitySubtypeID']= $ptsl_activitySubtype_ActivitySubtypeID;
            }
            if(@$Buyer){
                $data['Buyer'] = $Buyer;
            }
            if(@$spokewith){
                $data['spokewith'] = $spokewith;
            }
            if(@$InternalNotes){
                $data['InternalNotes'] = $InternalNotes;
            }
            if(@$notes){
                $data['Notes'] = $notes;
            }
            if(@$BestTimeToVisit){
                $data['BestTimeToVisit'] = $BestTimeToVisit;
            }
            if(@$DecisionMaker){
                $data['DecisionMaker'] = $DecisionMaker;
            }
            if(@$BrandExposure){
                $data['BrandExposure'] = $BrandExposure;
            }
            $this->db->where('ActivityID',$activity_id);
            $add_activity = $this->db->update('ptsl_account_activity',$data);
            //$acitivity_id = $this->db->insert_id();
            //update into accouninfo table 
            /*$data = array(
                'BuyerName' => $Buyer,
                'SpokeWith' => $spokewith,
                'BestTimeToVisit' => $BestTimeToVisit
            );
           $this->db->where('AccountID',$ptsl_accountinfo_AccountID);
           $res = $this->db->update('ptsl_accountinfo',$data);*/
            if($participants){
                $is_valid_to_delete= 0;
                foreach($participants as $participant){
                    if(@$participant['selected'] == 1){
                        $is_valid_to_delete = 1;
                        break;
                    }
                }
                if($is_valid_to_delete){
                    $this->db->where('ActivityID',$activity_id);
                    $this->db->delete('ptsl_activity_participants');
                }
            
            foreach($participants as $participant){
                if(@$participant['selected'] == 1){
                    $data2= array(
                        'ActivityID' => $activity_id,
                        'ParticipantID' => $participant['id']
                    );
                    $res = $this->db->insert('ptsl_activity_participants',$data2);
                }

            }
        }

            if(@$post_data['photos']){
               /* $this->db->where('ActivityID',$activity_id);
                $this->db->delete('ptsl_activity_photos'); */   
                $images = $post_data['photos'];
                foreach ($images as $key => $image) {
                    $loc="../accountapi_dev/temp/img".date('YmdHis');
                    $imgData1 = $image;
                    $imgData1 = substr($imgData1, 1+strrpos($imgData1, ','));
                    $sourceFilename = 'http://periscopedemo.com/accountapi_dev/temp/imgMyFile.jpg';
                    file_put_contents($loc.'MyFile.jpg', base64_decode($imgData1));
                    $image_file=$loc.'MyFile.jpg';
                    $target_file = $image_file;
                    $thumbnail = "../accountapi_dev/thumb/".date('YmdHis')."file.jpg";
                    $wthumb = 100;
                    $hthumb = 100;
                    $fileExt="jpg";
                    $this->ak_img_thumb($target_file, $thumbnail, $wthumb, $hthumb, $fileExt);
                    $encoded_thumb = base64_encode(file_get_contents($thumbnail));
                    $jpg_encoded_thumb = "data:image/jpeg;base64,".$encoded_thumb; 
                    $data_img = array(
                            'ActivityID' => $activity_id,
                            'Photo' => $image,
                            'thumbnail' => $jpg_encoded_thumb
                        );
                    $res = $this->db->insert('ptsl_activity_photos',$data_img); 
                }
            }
            if($add_activity){
                $response = array(
                    'status' => TRUE,
                    'message'=> "Visit Updated Successfully"
                );
                echo json_encode($response);
            }
            else{
                $response = array(
                    'status' => FALSE,
                    'message'=> "Internal Error"
                );
                echo json_encode($response);    
            }
        
    }
    public function get_accountname($id){
    	$this->db->select('LongName');
    	$data = $this->db->get_where('ptsl_accountinfo',array('AccountID'=>$id))->result_array();
    	if($data){
             $response = array(
                'status' => TRUE,
                'name' => $data
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
    public function get_activity_details($id){
    	$this->db->select('acc.LongName,stype.SubTypeName,act.AccountID,act.ActivityID,act.Buyer,act.spokewith,act.InternalNotes,act.Notes,act.ActivityDate,act.BrandExposure,act.DecisionMaker,act.BestTimeToVisit');
    	$this->db->from('ptsl_account_activity act');
        $this->db->join('ptsl_accountinfo acc','acc.AccountID = act.AccountID');
    	//$this->db->join('ptsl_activitytype as type','act.ActivityTypeID=type.ActivityTypeID','');
        $this->db->join('ptsl_activitysubtype as stype','act.ptsl_activitySubtype_ActivitySubtypeID=stype.ActivitySubtypeID','');
        //$this->db->join('ptsl_activity_photos',);
    	$this->db->where('act.ActivityID',$id);
    	$data['activity'] = $this->db->get()->row();
    	if($data){
            /*$this->db->select('photo');
            $this->db->where('ActivityID',$id);
            $photos = $this->db->get('ptsl_activity_photos')->result_array();*/
            $this->db->select('rep.ClientRepName as name,par.ParticipantID');
            $this->db->join('ptsl_clientrep rep','rep.ClientRepID = par.ParticipantID');
            $this->db->where('par.ActivityID',$id);
            $participants = $this->db->get('ptsl_activity_participants par')->result_array();
            $data['participants'] = $participants;
            //$data['photos'] = $photos;
                $this->db->select('photos.thumbnail,photos.PhotoID');
                $this->db->from('ptsl_activity_photos photos');
               // $this->db->join('ptsl_activity_photos photos','act.ActivityID=photos.ActivityID','');
                $this->db->where('photos.ActivityID',$id);
                $this->db->where('photos.thumbnail!=""');
                $data_photos = $this->db->get()->result_array();
                $new_array = array(); 
                foreach($data_photos as $key=>$adata){
                    $new_array[$key]['id'] =$key;
                    $new_array[$key]['src'] = $adata['thumbnail'];
                    //$new_array[$key]['ActivityID'] = $adata['ActivityID'];
                    $new_array[$key]['PhotoID'] =$adata['PhotoID'];
                }
                $data['photos'] = $new_array;
             $response = array(
                'status' => TRUE,
                'activity' => $data
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
    public function getPhotosidbyActivityid($id){
        $this->db->select('p.PhotoID');
        //$this->db->where('PhotoID',$photoid);
        $this->db->from('ptsl_activity_photos p');
        $this->db->join('ptsl_account_activity a','p.ActivityID=a.ActivityID','');
        $this->db->where('a.ActivityID',$id);
        $this->db->where('p.thumbnail!=""');
        $data = $this->db->get()->result_array();
        if($data){
          $response= array(
                'status' => TRUE,
                'photos_id' => $data  
            );
            echo json_encode($response);
        }
        else{
            $response = array(
                'status'=> FALSE,
                'message'=> 'No data found'
            );
            echo json_encode($response);
        }
    }
    public function get_activity_details_edit($id){
        $this->db->select('acc.LongName,stype.SubTypeName,act.ActivityID,act.Buyer,act.spokewith,act.InternalNotes,act.Notes,act.ActivityDate,act.BrandExposure,act.DecisionMaker,act.BestTimeToVisit');
        $this->db->from('ptsl_account_activity act');
        $this->db->join('ptsl_accountinfo acc','acc.AccountID = act.AccountID');
        //$this->db->join('ptsl_activitytype as type','act.ActivityTypeID=type.ActivityTypeID','');
        $this->db->join('ptsl_activitysubtype as stype','act.ptsl_activitySubtype_ActivitySubtypeID=stype.ActivitySubtypeID','');
        //$this->db->join('ptsl_activity_photos',);
        $this->db->where('act.ActivityID',$id);
        $data['activity'] = $this->db->get()->row();
        if($data){
           // $this->db->select('photo');
            //$this->db->where('ActivityID',$id);
            //$photos = $this->db->get('ptsl_activity_photos')->result_array();
            $this->db->select('rep.ClientRepName as name,par.ParticipantID');
            $this->db->join('ptsl_clientrep rep','rep.ClientRepID = par.ParticipantID');
            $this->db->where('par.ActivityID',$id);
            $participants = $this->db->get('ptsl_activity_participants par')->result_array();
            $part_names = "";
            foreach($participants as $participant){
                $part_names = $part_names.$participant['name'].", ";
            }
            $selected_part_name = trim($part_names, ',');
            $data['par_names'] = $selected_part_name;
            $data['participants'] = $participants;
             $response = array(
                'status' => TRUE,
                'activity' => $data
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
    private function ak_img_thumb($target, $newcopy, $w, $h, $ext) {
        list($w_orig, $h_orig) = getimagesize($target);
        $src_x = ($w_orig / 2) - ($w / 2);
        $src_y = ($h_orig / 2) - ($h / 2);
        $ext = strtolower($ext);
        $img = "";
        if ($ext == "gif"){ 
        $img = imagecreatefromgif($target);
        } else if($ext =="png"){ 
        $img = imagecreatefrompng($target);
        } else { 
        $img = imagecreatefromjpeg($target);
        }
        $tci = imagecreatetruecolor($w, $h);
        //imagecopyresampled($tci, $img, 0, 0, $src_x, $src_y, $w, $h, $w_orig, $h_orig);
        imagecopyresampled($tci, $img, 0, 0, 0, 0, $w, $h, $w_orig, $h_orig);
        if ($ext == "gif"){ 
            imagegif($tci, $newcopy);
        } else if($ext =="png"){ 
            imagepng($tci, $newcopy);
        } else { 
           $t= imagejpeg($tci, $newcopy, 84);
           //echo base64_encode($t);

        }
       //echo base64_encode($target);
    }
}